7.1. 安装扩展包 yansongda/pay

file

支付

上一章我们已经实现了订单的创建,接下来我们要实现支付功能,这也是电商系统的核心功能。

1. 引入支付库

yansongda/pay 这个库封装了支付宝和微信支付的接口,通过这个库我们就不需要去关注不同支付平台的接口差异,使用相同的方法、参数来完成支付功能,节省开发时间。

首先通过 composer 引入这个包:

$ composer require yansongda/pay=2.10.2

本文章首发在 LearnKu.com 网站上。

为了保证课程的高品质,我们需要对课程进行收费。付费后 才能观看剩余内容。 购买

上一篇 下一篇
《L04 微信小程序从零到发布》
从小程序个人账户申请开始,带你一步步进行开发一个微信小程序,直到提交微信控制台上线发布。
《L02 从零构建论坛系统》
以构建论坛项目 LaraBBS 为线索,展开对 Laravel 框架的全面学习。应用程序架构思路贴近 Laravel 框架的设计哲学。
贡献者:1
讨论数量: 11

AmberLavigne
有沒有國外支付的集成擴展包?
1 个点赞 | 2 个回复 | 问答 | 课程版本 5.5
liuhuo
支付包扩展包疑问?
0 个点赞 | 8 个回复 | 问答 | 课程版本 5.5
xiaocao
为什么不是使用为 Laravel 定制的包?
0 个点赞 | 4 个回复 | 问答 | 课程版本 5.5
walt-white
请问 yansongda/pay 有可以返回 App 支付需要的参数的方法吗
0 个点赞 | 3 个回复 | 问答 | 课程版本 5.7
Morrow
Composer require yansongda/pay 出错
0 个点赞 | 3 个回复 | 问答 | 课程版本 5.5
clarkhe
请问下 paypal 使用哪个扩展包?
0 个点赞 | 3 个回复 | 问答 | 课程版本 5.5
王鲸弋
为什么不是 "yansongda/Laravel-pay" ?
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
ahkxhyl
麻烦请教下教程里扩展包版本
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
maolin
开发用扩展包可以,学习用扩展包不太合适吧?
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
ruodee
教程下端的点赞按钮有问题
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.7